Skip to main content
PUT
/
v1
/
analyses
/
{analysisId}
Update Analysis
curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "name": "<string>",
  "analysisPeriods": [
    {
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "id": "<string>",
      "interimAsAtDate": "2023-12-25"
    }
  ],
  "currencyCode": "<string>",
  "archived": true,
  "reportingPeriodConfigurationId": "<string>"
}
'
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "engagementId": "<string>",
  "analysisTypeId": "<string>",
  "name": "<string>",
  "interim": true,
  "archived": true,
  "converted": true,
  "periodic": true,
  "importantColumns": [
    {
      "columnName": "<string>",
      "field": "<string>"
    }
  ],
  "analysisPeriods": [
    {
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "id": "<string>",
      "interimAsAtDate": "2023-12-25"
    }
  ],
  "analysisPeriodGaps": [
    {
      "analysisPeriodId": "<string>",
      "previousAnalysisPeriodId": "<string>",
      "days": 123
    }
  ],
  "currencyCode": "<string>",
  "latestAnalysisResultId": "<string>",
  "referenceId": "<string>",
  "reportingPeriodConfigurationId": "<string>",
  "accountingPeriod": {
    "fiscalStartMonth": 123,
    "fiscalStartDay": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisId
string
required

Body

application/json
version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The name of the analysis.

Maximum string length: 80
analysisPeriods
object[]
required

Details about the specific analysis periods under audit.

Minimum array length: 1
currencyCode
string
required

The currency to be displayed across the analysis results.

archived
boolean

Indicates whether or not the analysis has been archived.

reportingPeriodConfigurationId
string

Identifies the reporting period configuration associated with this analysis.

accountingPeriod
Accounting Period · object

Details about the accounting period used in this analysis.

Response

200 - application/json

OK

id
string

The unique object identifier.

version
integer<int64>

Indicates the data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

engagementId
string

Identifies the associated engagement.

analysisTypeId
string

Identifies the type of analysis.

name
string

The name of the analysis.

interim
boolean

Indicates whether or not the analysis is using an interim time frame.

archived
boolean

Indicates whether or not the analysis has been archived.

converted
boolean

Indicates whether or not an interim analysis time frame has been converted to a full analysis time frame.

periodic
boolean

Indicates whether or not the analysis is using a periodic time frame.

importantColumns
object[]

Additional data columns that can be used when importing additional data.

analysisPeriods
object[]

Details about the specific analysis periods under audit.

analysisPeriodGaps
object[]

Details about the gap in time between two analysis periods.

currencyCode
string

The currency to be displayed across the analysis results.

latestAnalysisResultId
string
referenceId
string

A reference ID to identify the analysis.

reportingPeriodConfigurationId
string

Identifies the reporting period configuration associated with this analysis.

accountingPeriod
Accounting Period · object

Details about the accounting period used in this analysis.